#include<iostream>
#include<math.h>
using namespace std;
int main()
{
	long long x, brojac=1,glavni,izlaz=0;
	cin>>x;
	for(long long pom=x;pom>10;pom/=10)
	brojac++;
	while(x){
		if(x-5*pow(10, brojac) >= 0){
			x-=5*pow(10, brojac);izlaz++;
		}
		if(x-2*pow(10, brojac) >= 0){
			x-=2*pow(10, brojac);izlaz++;
		}
		if(x-2*pow(10, brojac) >= 0){
			x-=2*pow(10, brojac);izlaz++;
		}
		if(x-pow(10, brojac) >= 0){
			x-=pow(10, brojac);izlaz++;
		}
		brojac--;
	}
	cout<<izlaz;	
}